Bulk Create Child Simulated Events via Smart Search
post
/sia/v1/event/simulated/{id}/children/bulk/{entityType}
Creates child simulated events for resources selected by Smart Search filters against the specified resource index inferred from entityType.
Request
Path Parameters
-
entityType(required): string
Resource entity type for selection (LogicalDevice, Equipment, PhysicalDevice, Connectivity, Pipe, DeviceInterface, PhysicalPort).Example:
LogicalDevice -
id(required): string
Document id of the parent simulated event.
Query Parameters
-
eventStatus(required): string
Event status to apply to all created child events.Example:
RAISED -
parentResourceId: string
Mandatory when entityType is DeviceInterface or PhysicalPort. For DeviceInterface this is the parent logicalDevice id; for PhysicalPort this is the parent equipment/physicalDevice id.
-
parentResourceType: string
Mandatory when entityType is PhysicalPort. Allowed values: equipment, physicalDevice.
-
perceivedSeverity(required): string
Severity to apply to all created child events.Example:
MAJOR
Supported Media Types
- application/json
Root Schema : schema
Type:
objectBulk child creation request for Simulated Events.
Show Source
-
excludeList: array
excludeList
Canonical resource IDs to be excluded from creation
-
filters(required): array
filters
Smart Search filters to select resources
Nested Schema : excludeList
Type:
arrayCanonical resource IDs to be excluded from creation
Show Source
Nested Schema : FilterChip
Type:
Show Source
object-
filter: string
Name of the smart search filter.
-
value:
value
Filter value. Send one scalar value for a single selection or an array of values for a multi-select filter.
Nested Schema : value
Filter value. Send one scalar value for a single selection or an array of values for a multi-select filter.
Match One Schema
Show Source
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Bulk creation attempted. Inspect hasErrors and errors[] for per-item failures.
Root Schema : BulkOperationResult
Type:
Show Source
object-
errors: array
errors
Error records to store the information of the failed operations on the entities.
-
hasErrors: boolean
Flag to indicate if there are any errors.
Nested Schema : errors
Type:
arrayError records to store the information of the failed operations on the entities.
Show Source
Nested Schema : ErrorRecord
Type:
Show Source
object-
errorMessage: string
Error message indicating the reason for the failure.
-
id: string
Document id of the entity for which the operation failed.
400 Response
The request isn't valid
401 Response
The request is unauthorized
403 Response
The request is forbidden
404 Response
The requested resource not found
500 Response
An Internal Server Error has occurred